These are chat archives for canjs/canjs

7th
Jul 2018
Julian
@pYr0x
Jul 07 2018 08:51
ok thank you
CODE-REaD
@CODE-REaD
Jul 07 2018 17:43

I am attempting to use
<script src="https://unpkg.com/can/dist/global/can.js"></script>

and am getting the error:

GET https://unpkg.com/can@5.1.0/dist/global/can.js 404 Refused to execute script from 'https://unpkg.com/can@5.1.0/dist/global/can.js' because its MIME type ('text/plain') is not executable, and strict MIME type checking is enabled.

Looking at https://unpkg.com/can/ it appears several changes were made yesterday. Is there a workaround for this problem? TIA.

Mohamed Cherif Bouchelaghem
@cherifGsoul
Jul 07 2018 19:07
@CODE-REaD can you try:
<script src="https://unpkg.com/can@5.1.0/dist/global/core.js"></script>
CODE-REaD
@CODE-REaD
Jul 07 2018 19:19
@cherifGsoul, thanks; the link you provided is working in place of <script src="https://unpkg.com/can/dist/global/can.js"></script>.
Mohamed Cherif Bouchelaghem
@cherifGsoul
Jul 07 2018 20:37
np, for ecosystem modules (not in core) https://unpkg.com/can/dist/global/ecosystem.js